% Rolf Niepraschk, Rolf.Niepraschk@ptb.de

\setcounter{errorcontextlines}{100}  \listfiles

\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{ptb-confirm}[2018/08/15 v0.2e Bestaetigung (RN)]

\RequirePackage{eso-pic,graphicx,xcolor,tabularx,trimspaces,amsmath}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{ptbletter}}

\ProcessOptions\relax

\LoadClass[%
,BLN
]{ptbletter} 

\PassOptionsToPackage{hidelinks}{hyperref}

\RequirePackage{siunitx-PTB}

\providecommand*\vl@tempa{}
\providecommand*\vl@tempb{}
\providecommand*\vl@tempc{}
\providecommand*\vl@tempd{}
\providecommand*\vl@tempe{}

\newcommand*\vl@Setcommand[2]{% #1=macro, #2=value
  \@namedef{#1}{#2}%
}

\newcommand*\KindOfEnquiry[1]{\ptb@setcommand{vl@KindOfEnquiry}{#1}}
\newcommand*\DateOfEnquiry[1]{%
  \ptb@setcommand[\usekomavar{yourmail}]{vl@DateOfEnquiry}{#1}}
\newcommand*\Company[1]{\ptb@setcommand{vl@Company}{#1}}
\newcommand*\Name[1]{\ptb@setcommand{vl@Name}{#1}}
\newcommand*\Street[1]{\ptb@setcommand{vl@Street}{#1}}
\newcommand*\Zipcode[1]{\ptb@setcommand{vl@Zipcode}{#1}}
\newcommand*\Town[1]{\ptb@setcommand{vl@Town}{#1}}
\newcommand*\Land[1]{\ptb@setcommand{vl@Land}{#1}}
\newcommand*\Device[1]{\ptb@setcommand{vl@Device}{#1}}
\newcommand*\Condition[1]{\vl@Setcommand{vl@Condition}{#1}}
\newcommand*\ScheduleDate[1]{\ptb@setcommand{vl@ScheduleDate}{#1}}
\newcommand*\Fee[1]{\vl@Setcommand{vl@Fee}{#1}}
\newcommand*\missingEntries[1]{\ptb@setcommand{vl@missingEntries}{#1}}
\newcommand*\Duration[1]{\ptb@setcommand{vl@Duration}{#1}}

\newcommand\ConstantText[1]{\gdef\vl@ConstantText{#1}}

\newcommand*\vl@KindOfEnquiry{}
\newcommand*\vl@DateOfEnquiry{}
\newcommand*\vl@Company{}
\newcommand*\vl@Name{}
\newcommand*\vl@Street{}
\newcommand*\vl@Zipcode{}
\newcommand*\vl@Town{}
\newcommand*\vl@Land{}
\newcommand*\vl@Device{}
\newcommand*\vl@Condition{}
\newcommand*\vl@ScheduleDate{}
\newcommand*\vl@Fee{}
\newcommand*\vl@missingEntries{0}
\newcommand*\vl@Duration{?}
\newtoks\vl@devTabLines

\AtBeginDocument{% 
  \ifnum\number\vl@missingEntries>0 %
    \AddToShipoutPictureBG{%
      \AtTextCenter{%
        \makebox(0,0)[c]{\resizebox{\textwidth}{!}{%
          \rotatebox{54.7}{%
            \textnormal{\textsf{\textbf{%
              \color{lightgray}Fehler:~\vl@missingEntries}}}}}}%
      }%
    }%
  \fi
  \vl@devTabLines{}%
  \def\do#1{%
    \vl@devTabLines\expandafter{\the\vl@devTabLines & #1\\}%
  } 
  \RequirePackage{hyperref}
  \begin{letter}{%
    %\vl@Company \\
    \mbox{}%
    \ifx\vl@Company\@empty ~\else\vl@Company\fi \\
    \ifx\vl@Name\@empty ~\else\vl@Name\smallskip\fi \\ 
    \ifx\vl@Street\@empty ~\else\vl@Street\fi \\
    \vl@Zipcode\ \vl@Town
    \ifx\vl@Land\@empty\else ~\smallskip \\ \textls[75]{\MakeUppercase{\vl@Land}} \fi
  }
    \iflanguage{ngerman}{%
      %\sisetup{locale=DE}
      \subject{Antragsbestätigung~\usekomavar{myref}}%
      \input{ptb-confirm-de.lco}%
    }{%
      %\sisetup{locale=UK}
      \subject{Confirmation of Order~\usekomavar{myref}}%
      \input{ptb-confirm-en.lco}%
    }%
  \end{letter}
}%

\endinput
